- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QButtonAxisInput
- Qt 6.8.2 Reference Documentation

# QButtonAxisInput Class

class Qt3DInput::QButtonAxisInput

An axis input controlled by buttons The axis value is controlled by buttons rather than a traditional analog input such as a joystick. More...

Header: | `#include <Qt3DInput/QButtonAxisInput>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
In QML: | ButtonAxisInput
Inherits: | Qt3DInput::QAbstractAxisInput
Status: | Deprecated

- List of all members, including inherited members

## Properties

- acceleration : float
- buttons : QList<int>
- deceleration : float
- scale : float

## Public Functions

| QButtonAxisInput(Qt3DCore::QNode *parent = nullptr)
float | acceleration() const
QList<int> | buttons() const
float | deceleration() const
float | scale() const

## Public Slots

void | setAcceleration(float acceleration)
void | setButtons(const QList<int> &buttons)
void | setDeceleration(float deceleration)
void | setScale(float scale)

## Signals

void | accelerationChanged(float acceleration)
void | buttonsChanged(const QList<int> &buttons)
void | decelerationChanged(float deceleration)
void | scaleChanged(float scale)

## Detailed Description

## Property Documentation

### acceleration : float

Specifies the rate at which the axis value changes when a button is held

Access functions:

float | acceleration() const
void | setAcceleration(float acceleration)

Notifier signal:

void | accelerationChanged(float acceleration)

### buttons : QList<int>

Specifies the buttons which control the axis

Access functions:

QList<int> | buttons() const
void | setButtons(const QList<int> &buttons)

Notifier signal:

void | buttonsChanged(const QList<int> &buttons)

### deceleration : float

Specifies the rate at which the axis value returns to normal when a button is released

Access functions:

float | deceleration() const
void | setDeceleration(float deceleration)

Notifier signal:

void | decelerationChanged(float deceleration)

### scale : float

Specifies how the axis output value is scaled. No scaling is applied by default so it defaults to 1.

Access functions:

float | scale() const
void | setScale(float scale)

Notifier signal:

void | scaleChanged(float scale)

## Member Function Documentation

### `[explicit]` QButtonAxisInput::QButtonAxisInput(Qt3DCore::QNode *parent = nullptr)

Constructs a new QButtonAxisInput instance with parent.